Get charges

Displays a list of existing charges. First displays the newest charge in the list. See Get charges tutorials for more information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
object

Displays results based on an open- or closed-ended date and time range. Each filter part requires the parameter name, such as created or status_transitions, a comparison operator (gt, gte, lt, or lte), and a date-time or Unix timestamp (in milliseconds).
The query string uses one of the following formats:
{parameterName}.{comparisonOperator}=yyyy-MM-dd HH:mm:ss
or
{parameterName}.{comparisonOperator}={timestamp}
For example, to filter the results for objects created after January 12, 2021 but before January 15 at 3 PM, add the following to the request: created.gt=2021-01-12 & created.lte=2021-01-15 15:00:00.

string
length ≤ 5000

Displays charges associated with the provided customer ID.

string

Cursor used in pagination. The ending_before object ID sets your place in the list. For example, if you receive 100 objects in a list starting with obj_bar, add ending_before=obj_bar in your subsequent request to retrieve the previous page of the list.

expand
array of strings

Additional information provided as an expanded response, for example, a related object nested within the parent. See Use expandable fields.

expand
integer

Number of objects returned by the request, ranging between 1 and 100.
Default: 10

string

EMV® 3-D Secure (3DS) authentication result. 3-D Secure is a protocol that provides an additional security layer for online credit and debit card-not-present (CNP) transactions.

boolean

Indicates whether the transaction is 3-D Secure authenticated.

string

Cursor used in pagination. The starting_after object ID sets your place in the list. For example, if you receive 100 objects in a list starting with obj_foo, add starting_after=obj_foo in your subsequent request to retrieve the next page of the list.

Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <product> / <product-version> <comment>

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json